> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useconquest.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update member

> Update a member in your workspace



## OpenAPI

````yaml PATCH /v1/members/{memberId}
openapi: 3.0.1
info:
  title: Conquest Documentation
  description: Conquest API Reference - Members
  version: 1.0.0
servers:
  - url: https://api.useconquest.com
security: []
paths:
  /v1/members/{memberId}:
    patch:
      description: Update a member in your workspace
      parameters:
        - in: path
          name: memberId
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                firstName:
                  type: string
                lastName:
                  type: string
                primaryEmail:
                  type: string
                emails:
                  type: array
                  items:
                    type: string
                    format: email
                phones:
                  type: array
                  items:
                    type: string
                    example: '+33612345678'
                jobTitle:
                  type: string
                avatarUrl:
                  type: string
                country:
                  type: string
                language:
                  type: string
                tags:
                  type: array
                  items:
                    type: string
                    format: uuid
                linkedinUrl:
                  type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Member'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
      security:
        - bearerAuth: []
components:
  schemas:
    Member:
      type: object
      properties:
        member:
          type: object
          properties:
            id:
              type: string
              format: uuid
            firstName:
              type: string
              nullable: true
            lastName:
              type: string
              nullable: true
            primaryEmail:
              type: string
              nullable: true
            emails:
              type: array
              items:
                type: string
            phones:
              type: array
              items:
                type: string
            jobTitle:
              type: string
              nullable: true
            avatarUrl:
              type: string
              nullable: true
            language:
              type: string
              nullable: true
            country:
              type: string
              nullable: true
            tags:
              type: array
              items:
                type: string
            level:
              type: number
            pulse:
              type: number
            source:
              type: string
            companyId:
              type: string
              format: uuid
            workspaceId:
              type: string
              format: uuid
            firstActivity:
              type: string
              format: date-time
              nullable: true
            lastActivity:
              type: string
              format: date-time
              nullable: true
            createdAt:
              type: string
              format: date-time
            updatedAt:
              type: string
              format: date-time
    error.BAD_REQUEST:
      type: object
      example:
        code: BAD_REQUEST
        error: Invalid request
    error.UNAUTHORIZED:
      type: object
      example:
        code: UNAUTHORIZED
        error: Authentication failed
    error.NOT_FOUND:
      type: object
      example:
        code: NOT_FOUND
        error: Resource not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````